Subject: Re: [PATCH net-next v3] mpls: support for dead routes

From: Robert Shearman <[email-masked]>
Date: Tue, 3 Nov 2015 15:15:47 +0000

On 03/11/15 14:49, Roopa Prabhu wrote:
> From: Roopa Prabhu <[email-masked]>
>
> Adds support for RTNH_F_DEAD and RTNH_F_LINKDOWN flags on mpls
> routes due to link events. Also adds code to ignore dead
> routes during route selection
>
> Signed-off-by: Roopa Prabhu <[email-masked]>
> ---
> Dave, I know you are only taking bug fixes currently. This patch
> is borderline a bug fix because Eric thinks it is critical for
> mpls multipath routes. I can sure resubmit it as a bug fix against net
> when it is time if you did prefer that. Thanks!
>
> RFC to v1:
>          Addressed a few comments from Eric and Robert:
>          - remove support for weighted nexthops
>          - Use rt_nhn_alive in the rt structure to keep count of alive
>          routes.
>          What i have not done is: sort nexthops on link events.
>          I am not comfortable recreating or sorting nexthops on
>          every carrier change. This leaves scope for optimizing in the future
>
> v1 to v2:
>          Fix dead nexthop checks as suggested by dave
>
> v2 to v3:
> 	Fix duplicated argument reported by kbuild test robot

FYI, I've sent out comments to v2 and all but one of them also apply to 
this version too.

Thanks,
Rob